def fibonacci():
	fn2=1
	fn1=1
	while 1 :
		fn1, fn2, out = fn1+fn2, fn1, fn2
		yield out

if __name__=='__main__' :
	from sys import argv
	top = 20
	if len(argv)>1 :
		top = int(argv[-1])
	f=fibonacci()
	for i in f :
		print i
		if i>top :
			break
